/* sdl_1.c
 * Ukazka programu v SDL - zakladni kostra programu. 
 * Vlastne nic nedela :-)
 *
 * Bernard Lidicky - 2004
 *
 * Je pod licenci GPL
 *
 * pro preklad mi fungovalo: "gcc sdl_1.c -o sdl_1 `sdl-config --cflags --static-libs`"
 */

#include <stdio.h>
#include <SDL.h>

// Zpracovana zpravy zasilane od SDL
int EventLoop()
{
	SDL_Event event;
	
	// z fronty zprav vybirame zpravy, dokut tam nejake jsou
	while ( SDL_PollEvent(&event) ) {
		switch (event.type) {
   
		// zprava s pozadavkem na ukonceni aplikace
		case SDL_QUIT :  
			return 0;
			break;
		}
	}
	
	return 1;
}

// Funkce main
int main( )
{
	// Inicializace SDL
	if ( SDL_Init(0) < 0 ) {
		fprintf(stderr, "Selhala inicializace SDL: %s\n", SDL_GetError());
		exit(1);
	}

	// Je vhodne pridat automaticke volani SDL_Quit pri ukonceni programu exitem
	atexit(SDL_Quit);
	
	// nejaka smycka zprav
	while ( EventLoop() ) ;
	
	// ukonceni SDL
	SDL_Quit();
	
	return 0;
}
